using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Predictalytics.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class AddTradePriceContext : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "IsContextEnriched",
                table: "Trades",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<decimal>(
                name: "PostTradePrice1m",
                table: "Trades",
                type: "decimal(18,4)",
                nullable: true);

            migrationBuilder.AddColumn<decimal>(
                name: "PreTradePrice1m",
                table: "Trades",
                type: "decimal(18,4)",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "IsContextEnriched",
                table: "Trades");

            migrationBuilder.DropColumn(
                name: "PostTradePrice1m",
                table: "Trades");

            migrationBuilder.DropColumn(
                name: "PreTradePrice1m",
                table: "Trades");
        }
    }
}
